Subject: Re: Cannot boot GuixSD after system reconfigure

From: [email-masked] (Ludovic Courtès)
Date: Fri, 22 Sep 2017 00:12:12 +0200

Hi Roel,

Roel Janssen <[email-masked]> skribis:

> Roel Janssen writes:
>
>> Dear Guix,
>>
>> I 'guix pull'ed commit 228a398 and ran:
>>   guix system reconfigure /etc/config.scm
>>
>> It looks like GRUB cannot find my root partition (/dev/sda3).  So, I
>> suspect that something has changed regarding specifying the partitions (UUIDs?).

[...]

> So, I was able to fix GRUB by manually modifying /boot/grub/grub.cfg:
>
> -search --label --set /dev/sda3
> +search --no-floppy --fs-uuid --set <blkid uuid output>

I believe this is fixed with db4e8fd5d4a07d3be8ce68fb96722ef7077c0eee.

Could you please let me know if everything’s OK?

Thanks,
Ludo’.